package com.ssj.bean.weixin.card.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


@Entity
@Table(name="tb_lib_card")
public class LibCardInfo extends BaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 	id varchar(36) not null,
	card_type varchar(36) not null comment '卡券类型--代金券(CASH)--会员卡(MEMBER_CARD)',
	least_cost integer  comment '代金券专用，表示起用金额（单位为分），如果无起用门槛则填0',
	reduce_cost integer comment '代金券专用，表示减免金额。（单位为分）',
	card_store integer comment '库存',
	 */
	

	private String cardType;  //兑换券类型  GIFT
	private Integer leastCost;
	private Integer reduceCost;
	private Integer cardStore;
	private String cardId;
	private String auditStat;
	private String logoUrl;
	private String stat;  //针对会员卡,有效的会员卡只能存在一条数据   (当cardType=兑换券 是   1阅读卡，2作业吧。)
	private String backgroundPicUrl; //背景图
	
	private String title;
	private String json;
	
	public String getCardType() {
		return cardType;
	}
	public void setCardType(String cardType) {
		this.cardType = cardType;
	}
	public Integer getLeastCost() {
		return leastCost;
	}
	public void setLeastCost(Integer leastCost) {
		this.leastCost = leastCost;
	}
	public Integer getReduceCost() {
		return reduceCost;
	}
	public void setReduceCost(Integer reduceCost) {
		this.reduceCost = reduceCost;
	}
	public Integer getCardStore() {
		return cardStore;
	}
	public void setCardStore(Integer cardStore) {
		this.cardStore = cardStore;
	}
	@Column(updatable = false)
	public String getCardId() {
		return cardId;
	}
	public void setCardId(String cardId) {
		this.cardId = cardId;
	}
	public String getAuditStat() {
		return auditStat;
	}
	public void setAuditStat(String auditStat) {
		this.auditStat = auditStat;
	}
	public String getLogoUrl() {
		return logoUrl;
	}
	public void setLogoUrl(String logoUrl) {
		this.logoUrl = logoUrl;
	}
	public String getStat() {
		return stat;
	}
	public void setStat(String stat) {
		this.stat = stat;
	}
	public String getBackgroundPicUrl() {
		return backgroundPicUrl;
	}
	public void setBackgroundPicUrl(String backgroundPicUrl) {
		this.backgroundPicUrl = backgroundPicUrl;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getJson() {
		return json;
	}
	public void setJson(String json) {
		this.json = json;
	}
	
	
}
